Centos6安装swoole

2020-05-06    标签:swoole    阅读:179   


仅支持 Linux、FreeBSD、MacOS 三种操作系统

在Windows平台,可使用CygWin或WSL(Windows Subsystem for Linux)

Linux 内核版本 2.3.32 以上

gcc-4.8或更高版本,依赖C++11

编译为 libswoole.so 作为 C/C++ 库时需要使用 cmake-2.4 或更高版本


1、升级gcc,因为centos6自带的gcc版本是4.7,而编译swoole需要4.8之后版本

查看gcc版本

gcc --version

centos安装gcc教程

2、安装swoole

 pecl install swoole,默认回车等待编译完成


3、修改php.ini

最后一行添加

extension=swoole.so

重启php-fpm,

service php-fpm restart
php -m | grep swoole


swoole

成功


【腾讯云】618云聚惠,百款云产品限量抢购,1核2G云服务器首年95元 618年中云钜惠大促,精选云产品1折起,助力新基建,618年中大促云服务器88元

‘简忆博客’微信公众号 扫码关注‘简忆博客’微信公众号,获取最新文章动态
转载:请说明文章出处“来源简忆博客”。http://www.tpxhm.com/adetail/321.html

×
觉得文章有用就打赏一下文章作者
微信扫一扫打赏 微信扫一扫打赏
支付宝扫一扫打赏 支付宝扫一扫打赏

文章评论(0)

登录

博主信息

头像

简忆博客
仕而优则学,学而优则仕。

置顶推荐

打赏本站

如果你觉得本站很棒,可以通过扫码支付打赏哦!
微信扫码:你说多少就多少~
微信扫码
支付宝扫码:你说多少就多少~
支付宝扫码
×